/**
 * Error type which indicates an error which is well understood and
 * can be used to downgrade log levels to info level
 */
export declare class Information extends Error {
    __proto__: Information;
    isInformation: boolean;
    constructor(message: string);
}
/**
 * Error type which indicates a warning, can be used to downgrade log levels
 * when errors are caught
 */
export declare class Warning extends Error {
    __proto__: Warning;
    isWarning: boolean;
    constructor(message: string);
}
export declare class Status404Error extends Information {
    __proto__: Status404Error;
    constructor();
}
