"use strict";
/**
 * @jest-environment node
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var server_1 = require("react-dom/server");
var react_router_dom_1 = require("react-router-dom");
var typescript_log_1 = require("typescript-log");
var universal_1 = require("../../universal");
var render_app_to_string_1 = require("./render-app-to-string");
var Home = function () { return react_1.default.createElement("div", null, "Home"); };
var TestApp = function () { return (react_1.default.createElement(react_router_dom_1.Switch, null,
    react_1.default.createElement(react_router_dom_1.Route, { exact: true, path: "/", component: Home }))); };
it('renders app callback with router', function () {
    var renderResult = render_app_to_string_1.renderApp('/', server_1.renderToString, typescript_log_1.consoleLogger(), function () { return react_1.default.createElement(TestApp, null); }, new universal_1.PromiseTracker());
    expect(renderResult.renderResult).toMatchSnapshot();
});
//# sourceMappingURL=render-app-to-string.spec.js.map