"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.failPromisesLate = function (log, promises) {
    return Promise.all(promises.map(function (promise) { return promise.then(function () { return true; }).catch(function () { return false; }); })).then(function (results) {
        if (results.indexOf(false) !== -1) {
            log.error({ results: results }, 'Promise success results');
            return Promise.reject('Not all promises completed successfully!');
        }
        return Promise.resolve();
    });
};
//# sourceMappingURL=async.js.map