import { getCustomConfigFile } from '../runtime/util/fs';
export const webpackHooks = (log, root) => getCustomConfigFile(log, root, 'config/webpack-hooks', {});
export const getHook = (hook, options) => {
    if (hook === undefined) {
        return {};
    }
    if (typeof hook === 'function') {
        return hook(options);
    }
    return hook;
};
export default webpackHooks;
//# sourceMappingURL=webpack-hooks.js.map