import binBuild from './bin/build';
import binClean from './bin/clean';
import binExploreBundle from './bin/explore-bundle';
import binStart from './bin/start';
import binWatch from './bin/watch';
import * as buildModule from './build';
import * as configModule from './config';
import * as runtimeServerModule from './runtime/server';
import * as universalModule from './runtime/universal';
import * as serverModule from './server';
export var bin = {
    build: binBuild,
    clean: binClean,
    exploreBundle: binExploreBundle,
    start: binStart,
    watch: binWatch,
};
export var build = buildModule;
export var config = configModule;
export var runtimeServer = runtimeServerModule;
export var universal = universalModule;
export var server = serverModule;
export { default as clean } from './clean';
//# sourceMappingURL=index.js.map