import { RenderPassResult } from './render-app-to-string';
import { ServerRenderResult } from './server-render-results';
export interface StaticRouterContext {
    url?: string;
    statusCode?: number;
}
export interface SuccessProps<SSRRequestProps extends object, RenderResult> {
    renderResult: RenderPassResult<RenderResult>;
    ssrRequestProps: SSRRequestProps;
    startTime: [number, number];
    statusCode: number;
    renderLocation: string;
}
export declare const createResponse: <SSRRequestProps extends object, RenderResult>({ renderResult, ssrRequestProps, startTime, statusCode, renderLocation, }: SuccessProps<SSRRequestProps, RenderResult>) => ServerRenderResult<SSRRequestProps, RenderResult>;
export declare const routerContextHandler: <SSRRequestProps extends object, RenderResult>(renderResult: RenderPassResult<RenderResult>, startTime: [number, number], ssrRequestProps: SSRRequestProps, renderLocation: string) => ServerRenderResult<SSRRequestProps, RenderResult>;
