"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var clean_1 = tslib_1.__importDefault(require("../clean"));
var clean = function (log, buildConfig) {
    var paths = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        paths[_i - 2] = arguments[_i];
    }
    var OUTPUT = buildConfig.OUTPUT;
    return clean_1.default(log, tslib_1.__spreadArrays([
        OUTPUT,
        '{client,common,server}/**/*.{js,map}',
        'assets.json',
        'build-stats.csv'
    ], paths));
};
exports.default = clean;
//# sourceMappingURL=clean.js.map