import webpack from 'webpack';
import { CreateWebpackConfigOptions } from '../runtime/server';
/**
 * Base Webpack config for the server that is used in both development and production
 * - Ignore SCSS files
 * - treat everything in node_modules as an external dependency
 * - add source-map-support to every file
 */
declare const serverBaseConfig: (options: CreateWebpackConfigOptions) => webpack.Configuration;
export default serverBaseConfig;
