export const failPromisesLate = (log, promises) => Promise.all(promises.map(promise => promise.then(() => true).catch(() => false))).then((results) => {
    if (results.indexOf(false) !== -1) {
        log.error({ results }, 'Promise success results');
        return Promise.reject('Not all promises completed successfully!');
    }
    return Promise.resolve();
});
//# sourceMappingURL=async.js.map