/// <reference types="node" />
import { ChildProcess, ForkOptions, SpawnOptions } from 'child_process';
import { Logger } from 'typescript-log';
export declare const spawnPromise: (log: Logger, command: string, args: string[], options?: SpawnOptions | undefined, longRunning?: boolean) => Promise<ChildProcess>;
export declare const forkPromise: (log: Logger, command: string, args: string[], options?: ForkOptions | undefined, longRunning?: boolean) => Promise<ChildProcess>;
