/**
 * Returns the state transferred by the transferState function
 * @param key The key to use to read the state
 */
export function getTransferredState(key) {
    return typeof window !== 'undefined' ? window[key] : undefined;
}
//# sourceMappingURL=get-transferred-state.js.map