/**
 * Returns a script tag to be interpolated directly into the <head> of the rendered html
 * @param key Should be a globally unique JS variable name
 * @param value The data to be transferred
 * @param prettyPrint Formats the state in the html, making it readable. Defaults to false in production, true otherwise
 */
export declare function transferState(key: string, value: any, prettyPrint?: boolean): string;
